Last Comment Bug 450112 - HTMLModElement has no prototype
: HTMLModElement has no prototype
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 587463
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 08:31 PDT by Lal
Modified: 2011-09-14 06:10 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Lal 2008-08-11 08:31:51 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071618 Iceweasel/3.0.1 (Debian-3.0.1-1)
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071618

Easy to test :
HTMLModElement.prototype == null
where all other dom html interfaces have indeed a prototype.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Actual Results:  
HTMLModElement.prototype == null

Expected Results:  
HTMLModElement.prototype != null
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2010-12-04 11:53:15 PST
Bug 587463 will fix this.
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2011-05-26 05:04:18 PDT
And did so.
Comment 3 Ioana (away) 2011-09-14 06:10:10 PDT
Verified fixed on:
Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (X11; Linux i686; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0
+ Aurora (Fx 8.0a2) & Central (Fx 9.0a1)

This bug was verified by using the instructions in the bug description. 
HTMLModElement.prototype is now xpconnect wrapped native prototype.

Note You need to log in before you can comment on or make changes to this bug.